html,
body {
  margin: 0;
  padding: 0;
  font-size: var(--unit);
  width: 100%;
}
a{
    text-decoration: underline;
    color:unset;
}
ul{
    margin: 0;
    padding: 0; 
    list-style-type: none;
}

* {
    box-sizing: border-box;
  }

div.main{
    display: flex;
    position: relative;
    flex-direction: row;
    width: calc(100vw - var(--margins));
    gap: 5rem;
    top:15rem;
    margin-left: auto;
    margin-right: auto;
}

#main-column{
    flex:69%;
    /* background:rgb(255, 169, 169); */
}

div#navbar-mask{
    position: fixed;
    height: 10rem;
    background: white;
    top: 0;
    width: 100%;
    z-index: 1000;
}
div#logo-column{
    width: 35rem;
    top: 11rem;
    display: block;
    position: fixed;
    padding-left: 5rem;
    padding-right: 5rem;
    cursor: pointer;
}
div#logo-column #subtitle{
    font-size: 2.5rem;
    font-style: italic;
}
div#logo-column #logo{
    background: url("svg/logo_karoo.svg") no-repeat;
    height:7rem;
    background-size: 21rem;
}
div#navbar{
    display: flex;
    margin-top: 10rem;
    gap: 5rem;
    position: fixed;
    width: calc(100vw - var(--margins));
    z-index: 2;
    margin-left: calc(var(--margins) / 2);
    cursor: pointer;

}
nav ul{
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: center;

}

nav ul li{
    flex: 1 auto;
    text-align: center;
}

nav#main-menu{
    flex:69%;
    /* height: 6rem; */
    /* background-color: blue; */
    font-family: besley;
    text-transform: uppercase;
    line-height: 5rem;
    font-size: calc(3.5rem * var(--flr));
    font-variation-settings: 'wght' 1000;

}

nav#main-menu ul{
    border-top: 2px solid black;
    border-bottom: 2px solid black;
}

nav#main-menu ul li{
    padding:0 2rem;
    background-color: white;
}
nav#main-menu ul li#cinema:hover{
    background-color: var(--color-cinema-transp);
}
nav#main-menu ul li#livres:hover{
    background-color: var(--color-livres-transp);
}
nav#main-menu ul li#artko:hover{
    background-color: var(--color-artko-transp);
}
nav#main-menu ul li#scenes:hover{
    background-color: var(--color-scenes-transp);
}
nav#main-menu ul li#musique:hover{
    background-color: var(--color-musique-transp);
}

nav#main-menu ul li#cinema.selected{
    background-color: var(--color-cinema);
}
nav#main-menu ul li#livres.selected{
    background-color: var(--color-livres);
}
nav#main-menu ul li#artko.selected{
    background-color: var(--color-artko);
}
nav#main-menu ul li#scenes.selected{
    background-color: var(--color-scenes);
}
nav#main-menu ul li#musique.selected{
    background-color: var(--color-musique);
}

#side-column{
    flex:31%;
    /* background:rgb(147, 255, 147); */

    position:relative;
    top:10rem;

}
#side-column .expand-button{
    display: none;
}
nav#side-menu{
    flex:31%;
    height: auto;
    font-family: golos;
    text-transform: uppercase;
    line-height: 4rem;
    font-size: calc(4rem * var(--flr));
    color:black;
    font-variation-settings: 'wght'800;
    
}
nav#side-menu ul{
    height: 100%;
    display: table;
}
nav#side-menu ul li:hover{
    background-color: rgba(227, 227, 227,1);
}

nav#side-menu ul li.selected{}
nav#side-menu ul li{
    background-color: rgb(255, 255, 255);
    border-right: 2px solid black;
    height: 100%;
    vertical-align: middle;
    display: table-cell;
}
nav#side-menu ul li:nth-child(1){
    /* border-left:none; */
}

main{
    margin-top:2rem;
}

div.date-period{
    font-family:besley;
    line-height: var(--size-d);
    font-size: calc(var(--size-d) * var(--flr));
}

/* ARTICLES*/

div.articles{
    border-left:2px solid black;
    border-right:2px solid black;

}

section.article-row{
    display: flex;
    flex-direction: row;
}
div.article{
    padding:2rem;
    height: auto;
    border-top:2rem solid black;
}
div.article:hover{
    background-color: rgb(241, 241, 241);
}
div.article.format-three,
div.article.format-two
{
    display: flex;
    align-content: center;
    gap:5rem;
}
div.article.format-one{
    
}

div.article.format-three .article-content
{
    
}
div.article .article-content    
{
    display: flex;
    flex-direction: column;
    height: 100%;
}
div.article.format-three .article-content{
    flex:66.66%;
}
div.article.format-two .article-content{
    flex:50%;
    height: 100%;
}
div.article.format-three .article-image{
    margin-left:auto;
    flex:33.33%
}

div.article.format-two .article-image{
    flex:50%;
}
div.article.format-three .article-image,
div.article.format-two .article-image
{
    
    display: inline-block;
    align-self: center;
}
div.article .article-image img{
    max-height:140rem;
    max-width:100%;
    cursor: pointer;
    
}
div.article.format-three{
    flex-basis:100%;
}
div.article.format-two{
    flex-basis:66.66%;
}
div.article.format-two:nth-child(1){
    border-right:2px solid black;
}
div.article.format-one{
    flex-basis:33.33%;
}
div.article.format-one{
    border-right:2px solid black;
}
div.article.format-one .article-image{
    margin-top:1rem;
}
div.article.format-one:nth-last-child{
    border-right: none;
}
div.article-cat{
    padding-right:2rem;
}
ul.cat-list{
    display: flex;
}
ul.cat-list li{
    flex:0 1;
    display: inline-block;
    line-height: var(--size-b);
    font-size: calc(var(--size-b) * var(--flr));
    text-transform: uppercase;
    margin-right: 2rem;
    white-space: nowrap;
    cursor: pointer;
}
ul.cat-list li.green{
    background-color: rgb(93, 255, 93);
}
ul.cat-list li.orange{
    background-color: rgb(255, 190, 48);
}
ul.cat-list li.yellow{
    background-color: rgb(255, 255, 48);
}
ul.cat-list li.purple{
    background-color: rgb(189, 108, 255);
}
ul.cat-list li.pink{
    background-color: rgb(255, 84, 84);
}
ul.cat-list li.black{
    background-color: rgb(0, 0, 0);
    color:white;
}

div.article-title{
    cursor: pointer;
}

div.article.format-three div.article-title{
    font-family: besley;
    line-height: var(--size-e);
    font-size: calc(var(--size-e) * var(--flr));
    
}
div.article.format-two div.article-title{
    font-family: besley;
    line-height: var(--size-d);
    font-size: calc(var(--size-d) * var(--flr));
    
}
div.article.format-one div.article-title{
    font-family: besley;
    line-height: var(--size-d);
    font-size: calc(var(--size-d) * var(--flr));
    
}

div.article.fond-turquoise{
    background-color: rgb(127, 255, 187);
}
div.article.fond-turquoise:hover{
    background-color: rgba(127, 255, 187,0.5);
}

div.article.green-background{
    background-color: rgb(0, 175, 95);
}
div.article.green-background:hover{
    background-color: rgba(0, 175, 95, 0.5);
}
div.article.mid-weight div.article-title{
    font-variation-settings: 'wght' 600;
}
div.article.high-weight div.article-title{
    font-variation-settings: 'wght' 1000;
}
div.article.low-weight div.article-title{
    font-variation-settings: 'wght' 200;
}
div.article.big-size div.article-title{
    line-height: 15rem;
    font-size: calc(15rem * var(--flr));
}

div.article-info{
    margin-top:1rem;
}
ul.tags-list{
    display:flex;
}
ul.tags-list li{
    flex:0 1;
    display: inline-block;
    font-family: golos;
    line-height: var(--size-b);
    font-size: calc(var(--size-b) * var(--flr));
    text-transform: lowercase;
    margin-right: 2rem;
    border:1px solid black;
    border-radius: 3rem;
    padding:0.2rem 1rem;
    margin-top:6rem;
    white-space: nowrap;
    cursor: pointer;
    
}
ul.tags-list li:hover{
    background-color: rgba(212, 212, 212, 0.8);
}
div.article-footer{
    /* this rule to put at end of container */
    margin-top:auto;
    font-family: golos;
    line-height: var(--size-a);
    font-size: calc(var(--size-a) * var(--flr));
    font-variation-settings: 'wght' 200;
}
div.article-excerpt{
    font-family: golos;
    line-height: var(--size-c);
    font-size: calc(var(--size-c) * var(--flr));
    margin-top:2rem;
    cursor: pointer;
}

div#footer{
    position: fixed;
    display: block;
    bottom: 0;
    width: 100%;
    font-family: golos;
    line-height: 4rem;
    font-size: calc(4rem * var(--flr));
    margin-top: 10rem;
    background-color: rgb(158, 40, 255);
    color: white;
}
nav#footer-menu{
} 
nav#footer-menu ul{
    padding-left:calc(var(--margins) / 2);
    width: calc(100vw - var(--margins));
}
nav#footer-menu ul li{
    border-right: 1px solid white;
}
nav#footer-menu ul li:nth-child(1){
    border-left: 1px solid white;
}

div#highlights section{
    padding:2rem;
    height: auto;
    border-top:2rem solid black;
    border-left: 2px solid black;
    border-right: 2px solid black;
}
div#highlights section .section-title{
    font-family: golos;
    line-height: 8rem;
    font-size: calc(8rem * var(--flr));
    font-variation-settings: 'wght' 1000;
    cursor: pointer;
}
div#highlights section .dossier-link{
    /* margin-top:2rem; */

    font-family: besley;
    line-height: 8rem;
    font-size: calc(8rem * var(--flr));
    cursor: pointer;
}
div#highlights section .zoom-title{
    font-family: golos;
    line-height: 7rem;
    font-size: calc(7rem * var(--flr));
    cursor: pointer;
}
div#highlights section .zoom-excerpt{
    font-family: golos;
    line-height: var(--size-c);
    font-size: calc(var(--size-c) * var(--flr));
    margin-top:2rem;
}

div#highlights section .hors-serie-link{
    font-family: golos;
    line-height: 7rem;
    font-size: calc(7rem * var(--flr));
    cursor: pointer;
}

div#highlights section.pele-mele{
    border-left : none;
    border-right : none;
    padding:0;
}
div#highlights section.pele-mele .section-title{
    font-family: golos;
    line-height: 8rem;
    font-size: calc(8rem * var(--flr));
    font-variation-settings: 'wght' 600;
    margin-top:4rem;
}
div#highlights section .pele-mele-item{
    border-top:2rem solid black;
    margin-top:2rem;
}
div#highlights section .pele-mele-item .title{
    margin-top:2rem;
    font-family: besley;
    line-height: 4.5rem;
    font-size: calc(4.5rem * var(--flr));
    font-variation-settings: 'wght' 600;
    cursor: pointer;
}
div#highlights section .pele-mele-item .info{
    font-family: golos;
    line-height: var(--size-a);
    font-size: calc(var(--size-a) * var(--flr));
}
div.read-more{
    margin-top:2rem;
}